Home > Element Reference : Stringbundle

Contents

### Stringbundle

An element which can be used to load localized resources from property files.

More information about Stringbundle

#### Attributes:

Attributes inherited from XUL Element

src

The URL of the property file that contains the localized strings.

#### Properties and Methods:

Properties and Methods inherited from XUL Element

appLocale

Returns the XPCOM object which holds information about the user's locale. This is an object which implements nsILocale.

getString ( key )

Returns the string with the given key name from the string bundle.

stringBundle

Returns the XPCOM string bundle object which implements nsIStringBundle.

Copyright (C) 1999 - 2002 XULPlanet.com